<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__item__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_item_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__item__t_1ae06b2bba361b6a915f360a6b4fb9dfca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_item_t::item_type</definition>
        <argsstring />
        <name>item_type</name>
        <briefdescription>
<para>AVRC_ITEM_PLAYER, AVRC_ITEM_FOLDER, or AVRC_ITEM_MEDIA. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1086" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1086" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__item__t_1a1d3cc81f53287410b2dee01581e2d458" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__item__player__t">wiced_bt_avrc_item_player_t</ref></type>
        <definition>wiced_bt_avrc_item_player_t wiced_bt_avrc_item_t::player</definition>
        <argsstring />
        <name>player</name>
        <briefdescription>
<para>The properties of a media player item. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1089" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1089" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__item__t_1a5d5c4fb4665eefdb13556337ef9189f0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__item__folder__t">wiced_bt_avrc_item_folder_t</ref></type>
        <definition>wiced_bt_avrc_item_folder_t wiced_bt_avrc_item_t::folder</definition>
        <argsstring />
        <name>folder</name>
        <briefdescription>
<para>The properties of a folder item. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1090" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1090" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__item__t_1abb7cd5780f4cb646f3494ede3d473392" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__item__media__t">wiced_bt_avrc_item_media_t</ref></type>
        <definition>wiced_bt_avrc_item_media_t wiced_bt_avrc_item_t::media</definition>
        <argsstring />
        <name>media</name>
        <briefdescription>
<para>The properties of a media item. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1091" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1091" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__item__t_1a9faf1e8f218c7af5c89115ef1d27f240" kind="variable" mutable="no" prot="public" static="no">
        <type>union wiced_bt_avrc_item_t::@0</type>
        <definition>union wiced_bt_avrc_item_t::@0 wiced_bt_avrc_item_t::u</definition>
        <argsstring />
        <name>u</name>
        <briefdescription>
<para>AVRC item player/folder/media. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1092" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AVRCP Browsable item i.e. </para>
    </briefdescription>
    <detaileddescription>
<para>Player/Folder/Media items </para>
    </detaileddescription>
    <collaborationgraph>
      <node id="187">
        <label>wiced_bt_avrc_full_name_t</label>
        <link refid="structwiced__bt__avrc__full__name__t" />
      </node>
      <node id="185">
        <label>wiced_bt_avrc_item_t</label>
        <link refid="structwiced__bt__avrc__item__t" />
        <childnode refid="186" relation="usage">
          <edgelabel>player</edgelabel>
        </childnode>
        <childnode refid="188" relation="usage">
          <edgelabel>folder</edgelabel>
        </childnode>
        <childnode refid="189" relation="usage">
          <edgelabel>media</edgelabel>
        </childnode>
      </node>
      <node id="190">
        <label>wiced_bt_avrc_attr_entry_t</label>
        <link refid="structwiced__bt__avrc__attr__entry__t" />
        <childnode refid="187" relation="usage">
          <edgelabel>name</edgelabel>
        </childnode>
      </node>
      <node id="186">
        <label>wiced_bt_avrc_item_player_t</label>
        <link refid="structwiced__bt__avrc__item__player__t" />
        <childnode refid="187" relation="usage">
          <edgelabel>name</edgelabel>
        </childnode>
      </node>
      <node id="189">
        <label>wiced_bt_avrc_item_media_t</label>
        <link refid="structwiced__bt__avrc__item__media__t" />
        <childnode refid="187" relation="usage">
          <edgelabel>name</edgelabel>
        </childnode>
        <childnode refid="190" relation="usage">
          <edgelabel>p_attr_list</edgelabel>
        </childnode>
      </node>
      <node id="188">
        <label>wiced_bt_avrc_item_folder_t</label>
        <link refid="structwiced__bt__avrc__item__folder__t" />
        <childnode refid="187" relation="usage">
          <edgelabel>name</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="1093" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1084" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1085" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__item__t_1a5d5c4fb4665eefdb13556337ef9189f0" virt="non-virtual"><scope>wiced_bt_avrc_item_t</scope><name>folder</name></member>
      <member prot="public" refid="structwiced__bt__avrc__item__t_1ae06b2bba361b6a915f360a6b4fb9dfca" virt="non-virtual"><scope>wiced_bt_avrc_item_t</scope><name>item_type</name></member>
      <member prot="public" refid="structwiced__bt__avrc__item__t_1abb7cd5780f4cb646f3494ede3d473392" virt="non-virtual"><scope>wiced_bt_avrc_item_t</scope><name>media</name></member>
      <member prot="public" refid="structwiced__bt__avrc__item__t_1a1d3cc81f53287410b2dee01581e2d458" virt="non-virtual"><scope>wiced_bt_avrc_item_t</scope><name>player</name></member>
      <member prot="public" refid="structwiced__bt__avrc__item__t_1a9faf1e8f218c7af5c89115ef1d27f240" virt="non-virtual"><scope>wiced_bt_avrc_item_t</scope><name>u</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>